Skip to main content
GET
/
venue-events
/
{id}
Get a single venue event by ID
curl --request GET \
  --url https://api.agg.market/venue-events/{id} \
  --header 'x-app-id: <api-key>'
{
  "id": "<string>",
  "externalIdentifier": "<string>",
  "title": "<string>",
  "image": "<string>",
  "venue": "kalshi",
  "categories": [
    {
      "id": "<string>",
      "category": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "description": "<string>",
  "volume": 1,
  "status": "open",
  "startDate": "<string>",
  "endDate": "<string>",
  "creationDate": "<string>",
  "series": {
    "id": "<string>",
    "venue": "kalshi",
    "externalIdentifier": "<string>",
    "name": "<string>",
    "description": "<string>",
    "volume": 1,
    "recurrence": "<string>"
  },
  "slug": "<string>",
  "subtitle": "<string>",
  "competition": "<string>",
  "competitionScope": "<string>",
  "tags": [
    "<string>"
  ],
  "matchStatus": "pending",
  "matchType": "manual",
  "matchReason": "<string>",
  "matchConfidence": 0.5,
  "updatedAt": "<string>"
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Path Parameters

id
string
required

Response

200

id
string
required
externalIdentifier
string
required
title
string
required
image
string | null
required
venue
enum<string>
required
Available options:
kalshi,
polymarket,
limitless,
opinion
categories
object[]
required
description
string | null
volume
number | null
Required range: x >= 0
status
enum<string>
Available options:
open,
closed,
resolved,
unopened,
paused
startDate
string | null
endDate
string | null
creationDate
string | null
series
object
slug
string | null
subtitle
string | null
competition
string | null
competitionScope
string | null
tags
string[] | null
matchStatus
enum<string> | null
Available options:
pending,
unmatched,
review,
matched,
verified,
rejected
matchType
enum<string> | null
Available options:
manual,
llm
matchReason
string | null
matchConfidence
number | null
Required range: 0 <= x <= 1
updatedAt
string | null